Skip to main content
POST
/
api
/
company
Create company
curl --request POST \
  --url https://dev.exante.app/api/company \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "organization_name": "<string>",
  "organization_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "additional_user_ids": [
    123
  ]
}
'
{
  "status": "success",
  "status_code": 200,
  "message": "Success",
  "data": {
    "uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "owner_id": 123,
    "created_on": "2023-11-07T05:31:56Z",
    "max_documents": 123,
    "members": [
      {
        "id": 123,
        "uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "email": "<string>",
        "username": "<string>",
        "fullname": "<string>",
        "avatar": "<string>"
      }
    ]
  }
}
Creates a company owned by the authenticated user and creates a default organization inside it.
The authenticated user becomes both the company owner and a company member. A default organization is created at the same time.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
name
string
required

Company name

organization_name
string

Name for the default organization created alongside the company

organization_uid
string<uuid>

Optional UID for the default organization

additional_user_ids
integer[]

Additional internal user IDs to add to the default organization

Response

Company created

status
string
Example:

"success"

status_code
integer
Example:

200

message
string
Example:

"Success"

data
object

Created company. This response omits the members array in the current implementation.